<ng-container>
  <sqtm-core-customisable-dialog
    [titleKey]="
      'sqtm-core.campaign-workspace.test-plan.launch-execution.history'
        | translate
    "
    [attr.data-test-dialog-id]="'test-plan-execution-history-dialog'"
  >
    <sqtm-core-dialog-body>
      <div class="full-height full-width flex-column">
        <div class="flex-row full-width">
          <div class="view-title"></div>

          <div class="flex-fixed-size font-30-px m-auto">
            <sqtm-core-toggle-icon
              [active]="canDeleteExecution$ | async"
              (clickedInActiveMode)="showMassDeleteExecutionDialog()"
              [attr.data-test-button-id]="
                'show-confirm-mass-delete-execution-dialog'
              "
            >
              <i
                nz-icon
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                nz-tooltip
                class="panel-buttons"
                [nzTooltipTitle]="
                  'sqtm-core.campaign-workspace.test-plan-execution.execution-history.delete'
                    | translate
                "
                nzTooltipPlacement="bottom"
              ></i>
            </sqtm-core-toggle-icon>
          </div>
        </div>
        <div class="sqtm-large-grid-container full-width full-height p-15">
          <sqtm-core-grid class="full-width full-height"></sqtm-core-grid>
        </div>
      </div>
    </sqtm-core-dialog-body>

    <sqtm-core-dialog-footer>
      <button
        [attr.data-test-dialog-button-id]="'close'"
        style="margin-top: 5px"
        nz-button
        nzType="default"
        sqtmCoreDialogClose
      >
        {{ 'sqtm-core.generic.label.close' | translate }}
      </button>
    </sqtm-core-dialog-footer>
  </sqtm-core-customisable-dialog>
</ng-container>
